Package com.android.server.os

# Class LinphoneTombstoneProtos.HeapObject.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.HeapObject,LinphoneTombstoneProtos.HeapObject.Builder>
com.android.server.os.LinphoneTombstoneProtos.HeapObject.Builder

All Implemented Interfaces:
  `LinphoneTombstoneProtos.HeapObjectOrBuilder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `Cloneable`

Enclosing class:
  LinphoneTombstoneProtos.HeapObject

public static final class LinphoneTombstoneProtos.HeapObject.Builder extends com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.HeapObject,LinphoneTombstoneProtos.HeapObject.Builder> implements LinphoneTombstoneProtos.HeapObjectOrBuilder
Protobuf type `HeapObject`

## Field Summary

### Fields inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`instance`

## Method Summary

Modifier and Type
Method
Description
`LinphoneTombstoneProtos.HeapObject.Builder`
`addAllAllocationBacktrace(Iterable<? extends LinphoneTombstoneProtos.BacktraceFrame> values)`
`repeated .BacktraceFrame allocation_backtrace = 4;`
`LinphoneTombstoneProtos.HeapObject.Builder`
`addAllDeallocationBacktrace(Iterable<? extends LinphoneTombstoneProtos.BacktraceFrame> values)`
`repeated .BacktraceFrame deallocation_backtrace = 6;`
`LinphoneTombstoneProtos.HeapObject.Builder`
`addAllocationBacktrace(int index, LinphoneTombstoneProtos.BacktraceFrame value)`
`repeated .BacktraceFrame allocation_backtrace = 4;`
`LinphoneTombstoneProtos.HeapObject.Builder`
`addAllocationBacktrace(int index, LinphoneTombstoneProtos.BacktraceFrame.Builder builderForValue)`
`repeated .BacktraceFrame allocation_backtrace = 4;`
`LinphoneTombstoneProtos.HeapObject.Builder`
`addAllocationBacktrace(LinphoneTombstoneProtos.BacktraceFrame value)`
`repeated .BacktraceFrame allocation_backtrace = 4;`
`LinphoneTombstoneProtos.HeapObject.Builder`
`addAllocationBacktrace(LinphoneTombstoneProtos.BacktraceFrame.Builder builderForValue)`
`repeated .BacktraceFrame allocation_backtrace = 4;`
`LinphoneTombstoneProtos.HeapObject.Builder`
`addDeallocationBacktrace(int index, LinphoneTombstoneProtos.BacktraceFrame value)`
`repeated .BacktraceFrame deallocation_backtrace = 6;`
`LinphoneTombstoneProtos.HeapObject.Builder`
`addDeallocationBacktrace(int index, LinphoneTombstoneProtos.BacktraceFrame.Builder builderForValue)`
`repeated .BacktraceFrame deallocation_backtrace = 6;`
`LinphoneTombstoneProtos.HeapObject.Builder`
`addDeallocationBacktrace(LinphoneTombstoneProtos.BacktraceFrame value)`
`repeated .BacktraceFrame deallocation_backtrace = 6;`
`LinphoneTombstoneProtos.HeapObject.Builder`
`addDeallocationBacktrace(LinphoneTombstoneProtos.BacktraceFrame.Builder builderForValue)`
`repeated .BacktraceFrame deallocation_backtrace = 6;`
`LinphoneTombstoneProtos.HeapObject.Builder`
`clearAddress()`
`uint64 address = 1;`
`LinphoneTombstoneProtos.HeapObject.Builder`
`clearAllocationBacktrace()`
`repeated .BacktraceFrame allocation_backtrace = 4;`
`LinphoneTombstoneProtos.HeapObject.Builder`
`clearAllocationTid()`
`uint64 allocation_tid = 3;`
`LinphoneTombstoneProtos.HeapObject.Builder`
`clearDeallocationBacktrace()`
`repeated .BacktraceFrame deallocation_backtrace = 6;`
`LinphoneTombstoneProtos.HeapObject.Builder`
`clearDeallocationTid()`
`uint64 deallocation_tid = 5;`
`LinphoneTombstoneProtos.HeapObject.Builder`
`clearSize()`
`uint64 size = 2;`
`long`
`getAddress()`
`uint64 address = 1;`
`LinphoneTombstoneProtos.BacktraceFrame`
`getAllocationBacktrace(int index)`
`repeated .BacktraceFrame allocation_backtrace = 4;`
`int`
`getAllocationBacktraceCount()`
`repeated .BacktraceFrame allocation_backtrace = 4;`
`List<LinphoneTombstoneProtos.BacktraceFrame>`
`getAllocationBacktraceList()`
`repeated .BacktraceFrame allocation_backtrace = 4;`
`long`
`getAllocationTid()`
`uint64 allocation_tid = 3;`
`LinphoneTombstoneProtos.BacktraceFrame`
`getDeallocationBacktrace(int index)`
`repeated .BacktraceFrame deallocation_backtrace = 6;`
`int`
`getDeallocationBacktraceCount()`
`repeated .BacktraceFrame deallocation_backtrace = 6;`
`List<LinphoneTombstoneProtos.BacktraceFrame>`
`getDeallocationBacktraceList()`
`repeated .BacktraceFrame deallocation_backtrace = 6;`
`long`
`getDeallocationTid()`
`uint64 deallocation_tid = 5;`
`long`
`getSize()`
`uint64 size = 2;`
`LinphoneTombstoneProtos.HeapObject.Builder`
`removeAllocationBacktrace(int index)`
`repeated .BacktraceFrame allocation_backtrace = 4;`
`LinphoneTombstoneProtos.HeapObject.Builder`
`removeDeallocationBacktrace(int index)`
`repeated .BacktraceFrame deallocation_backtrace = 6;`
`LinphoneTombstoneProtos.HeapObject.Builder`
`setAddress(long value)`
`uint64 address = 1;`
`LinphoneTombstoneProtos.HeapObject.Builder`
`setAllocationBacktrace(int index, LinphoneTombstoneProtos.BacktraceFrame value)`
`repeated .BacktraceFrame allocation_backtrace = 4;`
`LinphoneTombstoneProtos.HeapObject.Builder`
`setAllocationBacktrace(int index, LinphoneTombstoneProtos.BacktraceFrame.Builder builderForValue)`
`repeated .BacktraceFrame allocation_backtrace = 4;`
`LinphoneTombstoneProtos.HeapObject.Builder`
`setAllocationTid(long value)`
`uint64 allocation_tid = 3;`
`LinphoneTombstoneProtos.HeapObject.Builder`
`setDeallocationBacktrace(int index, LinphoneTombstoneProtos.BacktraceFrame value)`
`repeated .BacktraceFrame deallocation_backtrace = 6;`
`LinphoneTombstoneProtos.HeapObject.Builder`
`setDeallocationBacktrace(int index, LinphoneTombstoneProtos.BacktraceFrame.Builder builderForValue)`
`repeated .BacktraceFrame deallocation_backtrace = 6;`
`LinphoneTombstoneProtos.HeapObject.Builder`
`setDeallocationTid(long value)`
`uint64 deallocation_tid = 5;`
`LinphoneTombstoneProtos.HeapObject.Builder`
`setSize(long value)`
`uint64 size = 2;`

### Methods inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`build, buildPartial, clear, clone, copyOnWrite, copyOnWriteInternal, getDefaultInstanceForType, internalMergeFrom, isInitialized, mergeFrom, mergeFrom, mergeFrom, mergeFrom`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getAddress

public long getAddress()
`uint64 address = 1;`

Specified by:
  `getAddress` in interface `LinphoneTombstoneProtos.HeapObjectOrBuilder`
Returns:
  The address.

### setAddress

public LinphoneTombstoneProtos.HeapObject.Builder setAddress(long value)
`uint64 address = 1;`

Parameters:
  `value` - The address to set.
Returns:
  This builder for chaining.

### clearAddress

public LinphoneTombstoneProtos.HeapObject.Builder clearAddress()
`uint64 address = 1;`

Returns:
  This builder for chaining.

### getSize

public long getSize()
`uint64 size = 2;`

Specified by:
  `getSize` in interface `LinphoneTombstoneProtos.HeapObjectOrBuilder`
Returns:
  The size.

### setSize

public LinphoneTombstoneProtos.HeapObject.Builder setSize(long value)
`uint64 size = 2;`

Parameters:
  `value` - The size to set.
Returns:
  This builder for chaining.

### clearSize

public LinphoneTombstoneProtos.HeapObject.Builder clearSize()
`uint64 size = 2;`

Returns:
  This builder for chaining.

### getAllocationTid

public long getAllocationTid()
`uint64 allocation_tid = 3;`

Specified by:
  `getAllocationTid` in interface `LinphoneTombstoneProtos.HeapObjectOrBuilder`
Returns:
  The allocationTid.

### setAllocationTid

public LinphoneTombstoneProtos.HeapObject.Builder setAllocationTid(long value)
`uint64 allocation_tid = 3;`

Parameters:
  `value` - The allocationTid to set.
Returns:
  This builder for chaining.

### clearAllocationTid

public LinphoneTombstoneProtos.HeapObject.Builder clearAllocationTid()
`uint64 allocation_tid = 3;`

Returns:
  This builder for chaining.

### getAllocationBacktraceList

public List<LinphoneTombstoneProtos.BacktraceFrame> getAllocationBacktraceList()
`repeated .BacktraceFrame allocation_backtrace = 4;`

Specified by:
  `getAllocationBacktraceList` in interface `LinphoneTombstoneProtos.HeapObjectOrBuilder`

### getAllocationBacktraceCount

public int getAllocationBacktraceCount()
`repeated .BacktraceFrame allocation_backtrace = 4;`

Specified by:
  `getAllocationBacktraceCount` in interface `LinphoneTombstoneProtos.HeapObjectOrBuilder`

### getAllocationBacktrace

public LinphoneTombstoneProtos.BacktraceFrame getAllocationBacktrace(int index)
`repeated .BacktraceFrame allocation_backtrace = 4;`

Specified by:
  `getAllocationBacktrace` in interface `LinphoneTombstoneProtos.HeapObjectOrBuilder`

### setAllocationBacktrace

public LinphoneTombstoneProtos.HeapObject.Builder setAllocationBacktrace(int index, LinphoneTombstoneProtos.BacktraceFrame value)
`repeated .BacktraceFrame allocation_backtrace = 4;`

### setAllocationBacktrace

public LinphoneTombstoneProtos.HeapObject.Builder setAllocationBacktrace(int index, LinphoneTombstoneProtos.BacktraceFrame.Builder builderForValue)
`repeated .BacktraceFrame allocation_backtrace = 4;`

### addAllocationBacktrace

public LinphoneTombstoneProtos.HeapObject.Builder addAllocationBacktrace(LinphoneTombstoneProtos.BacktraceFrame value)
`repeated .BacktraceFrame allocation_backtrace = 4;`

### addAllocationBacktrace

public LinphoneTombstoneProtos.HeapObject.Builder addAllocationBacktrace(int index, LinphoneTombstoneProtos.BacktraceFrame value)
`repeated .BacktraceFrame allocation_backtrace = 4;`

### addAllocationBacktrace

public LinphoneTombstoneProtos.HeapObject.Builder addAllocationBacktrace(LinphoneTombstoneProtos.BacktraceFrame.Builder builderForValue)
`repeated .BacktraceFrame allocation_backtrace = 4;`

### addAllocationBacktrace

public LinphoneTombstoneProtos.HeapObject.Builder addAllocationBacktrace(int index, LinphoneTombstoneProtos.BacktraceFrame.Builder builderForValue)
`repeated .BacktraceFrame allocation_backtrace = 4;`

### addAllAllocationBacktrace

public LinphoneTombstoneProtos.HeapObject.Builder addAllAllocationBacktrace(Iterable<? extends LinphoneTombstoneProtos.BacktraceFrame> values)
`repeated .BacktraceFrame allocation_backtrace = 4;`

### clearAllocationBacktrace

public LinphoneTombstoneProtos.HeapObject.Builder clearAllocationBacktrace()
`repeated .BacktraceFrame allocation_backtrace = 4;`

### removeAllocationBacktrace

public LinphoneTombstoneProtos.HeapObject.Builder removeAllocationBacktrace(int index)
`repeated .BacktraceFrame allocation_backtrace = 4;`

### getDeallocationTid

public long getDeallocationTid()
`uint64 deallocation_tid = 5;`

Specified by:
  `getDeallocationTid` in interface `LinphoneTombstoneProtos.HeapObjectOrBuilder`
Returns:
  The deallocationTid.

### setDeallocationTid

public LinphoneTombstoneProtos.HeapObject.Builder setDeallocationTid(long value)
`uint64 deallocation_tid = 5;`

Parameters:
  `value` - The deallocationTid to set.
Returns:
  This builder for chaining.

### clearDeallocationTid

public LinphoneTombstoneProtos.HeapObject.Builder clearDeallocationTid()
`uint64 deallocation_tid = 5;`

Returns:
  This builder for chaining.

### getDeallocationBacktraceList

public List<LinphoneTombstoneProtos.BacktraceFrame> getDeallocationBacktraceList()
`repeated .BacktraceFrame deallocation_backtrace = 6;`

Specified by:
  `getDeallocationBacktraceList` in interface `LinphoneTombstoneProtos.HeapObjectOrBuilder`

### getDeallocationBacktraceCount

public int getDeallocationBacktraceCount()
`repeated .BacktraceFrame deallocation_backtrace = 6;`

Specified by:
  `getDeallocationBacktraceCount` in interface `LinphoneTombstoneProtos.HeapObjectOrBuilder`

### getDeallocationBacktrace

public LinphoneTombstoneProtos.BacktraceFrame getDeallocationBacktrace(int index)
`repeated .BacktraceFrame deallocation_backtrace = 6;`

Specified by:
  `getDeallocationBacktrace` in interface `LinphoneTombstoneProtos.HeapObjectOrBuilder`

### setDeallocationBacktrace

public LinphoneTombstoneProtos.HeapObject.Builder setDeallocationBacktrace(int index, LinphoneTombstoneProtos.BacktraceFrame value)
`repeated .BacktraceFrame deallocation_backtrace = 6;`

### setDeallocationBacktrace

public LinphoneTombstoneProtos.HeapObject.Builder setDeallocationBacktrace(int index, LinphoneTombstoneProtos.BacktraceFrame.Builder builderForValue)
`repeated .BacktraceFrame deallocation_backtrace = 6;`

### addDeallocationBacktrace

public LinphoneTombstoneProtos.HeapObject.Builder addDeallocationBacktrace(LinphoneTombstoneProtos.BacktraceFrame value)
`repeated .BacktraceFrame deallocation_backtrace = 6;`

### addDeallocationBacktrace

public LinphoneTombstoneProtos.HeapObject.Builder addDeallocationBacktrace(int index, LinphoneTombstoneProtos.BacktraceFrame value)
`repeated .BacktraceFrame deallocation_backtrace = 6;`

### addDeallocationBacktrace

public LinphoneTombstoneProtos.HeapObject.Builder addDeallocationBacktrace(LinphoneTombstoneProtos.BacktraceFrame.Builder builderForValue)
`repeated .BacktraceFrame deallocation_backtrace = 6;`

### addDeallocationBacktrace

public LinphoneTombstoneProtos.HeapObject.Builder addDeallocationBacktrace(int index, LinphoneTombstoneProtos.BacktraceFrame.Builder builderForValue)
`repeated .BacktraceFrame deallocation_backtrace = 6;`

### addAllDeallocationBacktrace

public LinphoneTombstoneProtos.HeapObject.Builder addAllDeallocationBacktrace(Iterable<? extends LinphoneTombstoneProtos.BacktraceFrame> values)
`repeated .BacktraceFrame deallocation_backtrace = 6;`

### clearDeallocationBacktrace

public LinphoneTombstoneProtos.HeapObject.Builder clearDeallocationBacktrace()
`repeated .BacktraceFrame deallocation_backtrace = 6;`

### removeDeallocationBacktrace

public LinphoneTombstoneProtos.HeapObject.Builder removeDeallocationBacktrace(int index)
`repeated .BacktraceFrame deallocation_backtrace = 6;`